# docker-compose up --detach --build

services:
  inverter-api:
    restart: always
    network_mode: host
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - APP_USER=inverter-api
        - UID=${UID}
        - GID=${GID}
        - PORT=${PORT}
        - HOST=${HOST}
    image: inverter-api
    container_name: inverter-api
    ports:
      - "${PORT}:${PORT}"
    volumes:
      - "./:/app"
    stdin_open: true
    tty: true
